> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Company

> Get Company



## OpenAPI

````yaml get /v2/companies/{companyId}
openapi: 3.1.0
info:
  title: FinHost WLB Client API
  description: FinHost WLB Client API
  version: 2.0.0
servers:
  - url: https://client-api.dev.finhost.io
security: []
tags:
  - name: contracts
    description: Contracts
  - name: clients
    description: Clients
  - name: companies
    description: Companies
  - name: accounts
    description: Accounts
  - name: recipients
    description: Recipients
  - name: transfer
    description: Transfer operations
  - name: exchange
    description: Exchange operations
paths:
  /v2/companies/{companyId}:
    get:
      tags:
        - companies
      summary: Get Company
      description: Get Company
      parameters:
        - description: Company ID
          name: companyId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - userId
                  - companyId
                  - adm
                  - kyb
                  - name
                  - companyType
                  - position
                  - email
                  - emailVerified
                  - phone
                  - contactName
                  - registrationNumber
                  - tradingAddress
                properties:
                  userId:
                    type: string
                    format: uuid
                  companyId:
                    type: string
                    format: uuid
                  adm:
                    description: Administrative Status
                    type: string
                    enum:
                      - adm:active
                      - adm:blocked
                      - adm:processed
                      - adm:suspended
                  kyb:
                    description: KYB Status
                    type: string
                    enum:
                      - kyb:initiated
                      - kyb:unconfirmed
                      - kyb:confirmed
                      - kyb:pending
                      - kyb:rejected
                      - kyb:resubmission
                  name:
                    type: string
                  companyType:
                    type: string
                  position:
                    type: string
                  email:
                    type: string
                  emailVerified:
                    type: boolean
                  phone:
                    type: string
                  contactName:
                    type: string
                  registrationNumber:
                    type: string
                  tradingAddress:
                    description: >-
                      Any Address Info (all properties can be optional, nullable
                      or empty string)
                    type: object
                    additionalProperties: false
                    properties:
                      country:
                        type:
                          - string
                          - 'null'
                      postCode:
                        type:
                          - string
                          - 'null'
                      state:
                        type:
                          - string
                          - 'null'
                      street:
                        type:
                          - string
                          - 'null'
                      streetLine2:
                        type:
                          - string
                          - 'null'
                      town:
                        type:
                          - string
                          - 'null'
                  address:
                    description: >-
                      Any Address Info (all properties can be optional, nullable
                      or empty string)
                    type: object
                    additionalProperties: false
                    properties:
                      country:
                        type:
                          - string
                          - 'null'
                      postCode:
                        type:
                          - string
                          - 'null'
                      state:
                        type:
                          - string
                          - 'null'
                      street:
                        type:
                          - string
                          - 'null'
                      streetLine2:
                        type:
                          - string
                          - 'null'
                      town:
                        type:
                          - string
                          - 'null'
                  contractId:
                    description: Contract ID
                    type: string
                    minLength: 1
                    maxLength: 256
                    examples:
                      - regularContract
                  onboardingFee:
                    type: object
                    additionalProperties: false
                    required:
                      - status
                    properties:
                      status:
                        type: string
                        enum:
                          - paid
                          - unpaid
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                oneOf:
                  - description: Company not found
                    type: object
                    additionalProperties: false
                    required:
                      - message
                    properties:
                      message:
                        type: string
                        enum:
                          - Company not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````